package cokr.xit.fims.wpm.service.bean;

import java.io.InputStream;
import java.util.List;

import org.junit.jupiter.api.Test;
import org.springframework.core.io.ClassPathResource;

import cokr.xit.fims.wpm.WoopyonMoa;

public class WoopyonMoaBeanTest {
	@Test
	void parse() {
		String path = "우편정보 업데이트 테스트.xls";
		try (InputStream input = new ClassPathResource("files/" + path).getInputStream()) {
			List<WoopyonMoa> rows = WoopyonMoaBean.parse(input);
			rows.forEach(System.out::println);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}